rpc.nfsd(8)

NUME
rpc.nfsd - procesul serverului NFS

SINOPSIS
/usr/sbin/rpc.nfsd [opțiuni] număr-procese

DESCRIERE
Programul rpc.nfsd implementează partea de nivel utilizator a serviciului NFS. Funcționalitatea principală este gestionată de modulul de nucleu nfsd. Programul din spațiul utilizatorului se limitează la a specifica ce fel de socluri ar trebui să asculte serviciul din nucleu, ce versiuni NFS ar trebui să accepte și câte fire de execuție din nucleu ar trebui să utilizeze.

Serverul rpc.mountd oferă un serviciu auxiliar necesar pentru a satisface cererile de montare din partea clienților NFS.

OPȚIUNI

-d  sau  --debug
    activează jurnalizarea mesajelor de depanare

-H  sau  --host nume-gazdă
    Specifică un anumit nume de gazdă (sau adresă) pe care vor fi acceptate cererile NFS. În mod implicit, rpc.nfsd va accepta cereri NFS la toate adresele de rețea cunoscute. Rețineți că lockd (care efectuează servicii de blocare a fișierelor pentru NFS) poate accepta în continuare cereri pe toate adresele de rețea cunoscute. Acest lucru se poate schimba în versiunile viitoare ale nucleului Linux. Această opțiune poate fi utilizată de mai multe ori pentru a asculta mai mult de o interfață.

-S  sau  --scope domeniu-de-aplicare
    NFSv4.1 și versiunile ulterioare solicită serverului să raporteze un „domeniu-de-aplicare” care este utilizat de clienți pentru a detecta dacă două conexiuni sunt către același server. În mod implicit, Linux NFSD utilizează numele gazdei ca domeniu-de-aplicare.

    Este deosebit de important pentru configurațiile de înaltă disponibilitate să se asigure că toate nodurile de server potențiale raportează același domeniu-de-aplicare a serverului.

-p  sau  --port port
    Specifică un alt port de ascultare pentru cererile NFS. În mod implicit, rpc.nfsd va asculta pe portul 2049.

-r  sau  --rdma
    Specifică faptul că cererile NFS pe portul RDMA standard („nfsrdma”, port 20049) trebuie onorate.

--rdma=port
    Ascultă cererile RDMA pe un port alternativ - poate fi un număr sau un nume listat în /etc/services.

-N  sau  --no-nfs-version versiune
    Această opțiune poate fi utilizată pentru a solicita ca rpc.nfsd să nu ofere anumite versiuni de NFS. Versiunea actuală a rpc.nfsd poate accepta versiunile majore NFS 3,4 și versiunile minore 4.0, 4.1 și 4.2.

-s  sau  --syslog
    În mod implicit, rpc.nfsd înregistrează mesajele de eroare (și mesajele de depanare, dacă sunt activate) la ieșirea de eroare standard. Această opțiune face ca rpc.nfsd să înregistreze în schimb aceste mesaje în syslog. Rețineți că erorile întâlnite în timpul procesării opțiunii vor fi în continuare înregistrate la ieșirea de eroare standard. indiferent de această opțiune.

-t  sau  --tcp
    Solicită serverului nfs din nucleu să deschidă și să asculte pe un soclu TCP. Aceasta este valoarea implicită.

-T  sau  --no-tcp
    Solicită serverului nfs din nucleu să nu deschidă și să nu asculte pe un socket TCP.

-u  sau  --udp
    Solicită serverului nfs din nucleu să deschidă și să asculte pe un soclu UDP. Aceasta este valoarea implicită.

-U  sau  --no-udp
    Solicită serverului nfs din nucleu să nu deschidă și să nu asculte pe un socket UDP. Aceasta este valoarea implicită.

-V  sau  --nfs-version versiune
    Această opțiune poate fi utilizată pentru a solicita ca rpc.nfsd să ofere anumite versiuni de NFS. Versiunea actuală a rpc.nfsd poate accepta versiunile majore NFS 3,4 și versiunile minore 4.0, 4.1 și 4.2.

-L  sau  --lease-time secunde
    Stabilește durata de închiriere utilizată pentru NFSv4. Aceasta corespunde frecvenței cu care clienții trebuie să confirme starea lor cu serverul. Intervalul valabil este de la 10 la 3600 de secunde.

-G  sau  --grace-time secunde
    Stabilește timpul de grație utilizat pentru NFSv4 și NLM (pentru NFSv2 și NFSv3). Cererile noi de deschidere a fișierelor (NFSv4) și blocările de fișiere noi (NLM) nu vor fi permise decât după ce a trecut acest timp pentru a permite clienților să își recupereze starea.

număr-procese
    Specifică numărul de fire de execuție ale serverului NFS. În mod implicit, sunt pornite opt fire. Cu toate acestea, pentru o performanță optimă, ar trebui utilizate mai multe fire. Cifra reală depinde de numărul și de sarcina de lucru creată de clienții NFS, dar un punct de plecare util este de opt fire. Efectele modificării acestui număr pot fi verificate cu ajutorul programului nfsstat(8).

Rețineți că, dacă serverul NFS este deja în funcțiune, atunci opțiunile pentru specificarea gazdei, portului și protocolului vor fi ignorate. Numărul de procese indicat va fi singura opțiune luată în considerare, iar numărul de procese nfsd active va fi mărit sau micșorat pentru a corespunde acestui număr. În special, rpc.nfsd 0 va opri toate firele de execuție și, prin urmare, va închide orice conexiune deschisă.

FIȘIER DE CONFIGURARE
Multe dintre opțiunile care pot fi definite în linia de comandă pot fi, de asemenea, controlate prin intermediul valorilor stabilite în secțiunea [nfsd] din fișierul de configurare /etc/nfs.conf. Valorile recunoscute includ:

threads
    Numărul de fire care trebuie pornite.

host
    Un nume de gazdă, sau o listă de nume de gazdă separate prin virgule, pe care rpc.nfsd va asculta. Utilizarea opțiunii --host înlocuiește toate numele de gazdă enumerate aici.

scope
    Stabilește domeniul-de-aplicare al serverului.

grace-time
    Timpul de grație, atât pentru NFSv4, cât și pentru NLM, în secunde.

lease-time
    Timpul de închiriere pentru NFSv4, în secunde.

port
    Stabilește portul pentru TCP/UDP la care să se conecteze.

rdma
    Activează portul RDMA (cu „on” sau „yes” etc.) pe portul standard („nfsrdma”, port 20049).

rdma-port
    Stabilește un port RDMA alternativ.

UDP Activează (cu „on” sau „yes” etc.) sau dezactivează („off”, „no”) suportul UDP.

TCP Activează sau dezactivează suportul TCP.

vers3

vers4
    Activează sau dezactivează all (toate) versiunile NFSv4. În mod normal, toate versiunile sunt activate în mod implicit.

vers4.1

vers4.2
    Stabilirea acestora la „off” sau similar va dezactiva versiunile minore selectate. Stabilirea la „on” le va activa. Valorile implicite sunt determinate de nucleu și, de obicei, versiunile minore sunt activate în mod implicit odată ce implementarea este suficient de completă.

NOTE
Dacă programul este construit cu suport TI-RPC, acesta va activa orice combinații de protocol și familie de adrese care sunt marcate ca fiind vizibile în baza de date netconfig.

CONSULTAȚI ȘI
nfsd(7), rpc.mountd(8), exports(5), exportfs(8), nfs.conf(5), rpc.rquotad(8), nfsstat(8), netconfig(5).

AUTOR
Olaf Kirch, Bill Hawes, H. J. Lu, G. Allan Morris III și o mulțime de alte persoane.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.